# Uses of Interface
com.logicaldoc.core.document.thumbnail.ThumbnailBuilder

Packages that use ThumbnailBuilder
Package
Description
com.logicaldoc.core.document.thumbnail
Machinery for building thumbnails of the first page of the documents.

## Uses of ThumbnailBuilder in com.logicaldoc.core.document.thumbnail

Classes in com.logicaldoc.core.document.thumbnail that implement ThumbnailBuilder
Modifier and Type
Class
Description
`class`
`AbstractThumbnailBuilder`
Main starting point for all thumbnail builders
`class`
`EpubThumbnailBuilder`
This builder generates the thumbnail for a .epub(e-book) document.
`class`
`ImageThumbnailBuilder`
Takes care of images thumbnail builder
`class`
`Mp3ThumbnailBuilder`
Takes care of mp3 thumbnail builder
`class`
`PdfThumbnailBuilder`
This builder generates the thumbnail for a Pdf document.
`class`
`VideoThumbnailBuilder`
Takes care of generating thumbnails for videos
Methods in com.logicaldoc.core.document.thumbnail that return ThumbnailBuilder
Modifier and Type
Method
Description
`ThumbnailBuilder`
ThumbnailManager.`getBuilder(String filename)`
Loads the proper builder for the passed file name
Methods in com.logicaldoc.core.document.thumbnail that return types with arguments of type ThumbnailBuilder
Modifier and Type
Method
Description
`Map<String,ThumbnailBuilder>`
ThumbnailManager.`getBuilders()`